import { scheduleJob } from "node-schedule";
import managePipeline from "./controllers/managePipeLine";
import manageProject from "./controllers/manageProject";
import manageUser from "./controllers/manageUser";

const main = async () => {
  const fullProjList = await manageProject.getFullProjList();
  const fullPipelineList = await Promise.all(
    fullProjList.map((v) => managePipeline.getFullPipelineList(v))
  );
  const fullUserMap = await manageUser.getFullUserMap(fullPipelineList);
  const fullProjectMap = await manageProject.getFullProjectMap(fullProjList);
  await managePipeline.insertFullPipelineList(
    fullPipelineList,
    fullUserMap,
    fullProjectMap
  );
};

main();

scheduleJob("*/15 * * * *", main);
